Package sop

# Class Verification

java.lang.Object
sop.Verification

public class Verification extends Object
Class bundling information about a verified signature.

## Constructor Summary

Constructors
Constructor
Description
`Verification(Date creationTime, String signingKeyFingerprint, String signingCertFingerprint)`
Create a new `Verification` without mode and description.
`Verification(Date creationTime, String signingKeyFingerprint, String signingCertFingerprint, SignatureMode signatureMode, String description)`
Create a new `Verification`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`static Verification`
`fromString(String toString)`
`Date`
`getCreationTime()`
Return the signatures' creation time.
`Optional<String>`
`getDescription()`
Return an optional description.
`Optional<SignatureMode>`
`getSignatureMode()`
Return the mode of the signature.
`String`
`getSigningCertFingerprint()`
Return the fingerprint fo the signing certificate.
`String`
`getSigningKeyFingerprint()`
Return the fingerprint of the signing (sub)key.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Verification

public Verification(@Nonnull Date creationTime, @Nonnull String signingKeyFingerprint, @Nonnull String signingCertFingerprint)
Create a new `Verification` without mode and description.

Parameters:
  `creationTime` - signature creation time
  `signingKeyFingerprint` - fingerprint of the signing (sub-) key
  `signingCertFingerprint` - fingerprint of the certificate

### Verification

public Verification(@Nonnull Date creationTime, @Nonnull String signingKeyFingerprint, @Nonnull String signingCertFingerprint, @Nullable SignatureMode signatureMode, @Nullable String description)
Create a new `Verification`.

Parameters:
  `creationTime` - signature creation time
  `signingKeyFingerprint` - fingerprint of the signing (sub-) key
  `signingCertFingerprint` - fingerprint of the certificate
  `signatureMode` - signature mode (optional, may be

      null

  )
  `description` - free-form description, e.g.

      certificate from dkg.asc

  (optional, may be

      null

  )

## Method Details

### fromString

@Nonnull public static Verification fromString(@Nonnull String toString)

### getCreationTime

@Nonnull public Date getCreationTime()
Return the signatures' creation time.

Returns:
  signature creation time

### getSigningKeyFingerprint

@Nonnull public String getSigningKeyFingerprint()
Return the fingerprint of the signing (sub)key.

Returns:
  signing key fingerprint

### getSigningCertFingerprint

@Nonnull public String getSigningCertFingerprint()
Return the fingerprint fo the signing certificate.

Returns:
  signing certificate fingerprint

### getSignatureMode

@Nonnull public Optional<SignatureMode> getSignatureMode()
Return the mode of the signature. Optional, may return

    null

.

Returns:
  signature mode

### getDescription

@Nonnull public Optional<String> getDescription()
Return an optional description. Optional, may return

    null

.

Returns:
  description

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`